# Class CIM_SNMPCommunityString
extends CIM_ServiceAccessPoint

SNMPCommunityString is an access point for an SNMPService. Each instance stores a community string that can be used for making SNMP requests.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_SNMPCommunityString

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | SNMPCommunityString is an access point for an SNMPService. Each instance stores a community string that can be used for making SNMP requests.
UMLPackagePath | string | CIM::Network::SNMP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CommunityString | string |
Description | string | The SNMP community string/password used for read or read/write access to the agent's data.
MappingStrings | string | MIB.IETF|ENTITY-MIB.entLogicalCommunity
TypeOfAccess | uint16 |
Description | string | An enumerated integer describing whether read or read/ write access is granted, or whether this information is unknown.
ValueMap | string | 0, 1, 2
Values | string | Unknown, Read Only, Read/Write
LogicalEntitiesAccessed | string[] |
ArrayType | string | Indexed

Description

string

This array contains one or more object identifiers indicating the MIB modules/object subtrees that are accessed using the CommunityString. Either text strings of numbers (such as 1.2.3.4.5), or words (such as 'system') are specified. When using text strings of numbers, an asterisk (*) can replace any subidentifier to specify a subtree family - for example, 1.2.*.5. Descriptions related to each entry in the array are found at the corresponding index of the LogicalEntitiesDescriptions property.

MappingStrings | string | MIB.IETF|ENTITY-MIB.entLogicalType
ModelCorrespondence | string | CIM_SNMPCommunityString.LogicalEntitiesDescriptions
LogicalEntitiesDescriptions | string[] |
ArrayType | string | Indexed
Description | string | Free-form textual descriptions of the logical entities indicated in the LogicalEntitiesAccessed array. There is a correspondence between the entity identifier in the LogicalEntitiesAccessed array, and the description in this array at the corresponding index.
MappingStrings | string | MIB.IETF|ENTITY-MIB.entLogicalDescr
ModelCorrespondence | string | CIM_SNMPCommunityString.LogicalEntitiesAccessed

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement